Subject: Re: bug#58786: 29.0.50; Error with Info-minibuf-history not declared

From: Thierry Volpiatto <[email-masked]>
Date: Wed, 26 Oct 2022 08:45:13 +0000

Stefan Kangas <[email-masked]> writes:

> Thierry Volpiatto <[email-masked]> writes:
>
>>> Do you have a recipe to reproduce this bug, starting from "emacs -Q"?
>>
>> I could reproduce from emacs -Q as described previously.
>
> I couldn't reproduce it using this recipe:
>
> 0. emacs -Q
> 1. C-h i g
>
> Are there any other steps required to reproduce it?

I can't reproduce anymore now.
I think vanilla Emacs completing-read fails silently when an history var
is not initialized (correct me if I am wrong) i.e. it behave just like
if it were not defined.

But, do you agree that code using completing-read with an history
variable should declare this var?

If not could you please explain me how such an history variable is defined, loaded etc...

Here we have:

    (completing-read prompt #'Info-read-node-name-1 nil t nil
                            'Info-minibuf-history default)

and Info-minibuf-history is defvared nowhere.
Could you please fix it?

-- 
Thierry